let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-22.11";
    rev = ''
      af96094e9b8eb162d70a84fa3b39f4b7a8b264d2'';
  };
in {
  inherit nixpkgs;
  nixos = nixpkgs // {suffix = "/nixos";};
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = ''
      fab09085df1b60d6a0870c8a89ce26d5a4a708c2'';
  };
  "channels-nixos-unstable-small" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable-small";
    rev = ''
      aa5d1ca2f217b4f05a265958ad0de17c70167cab'';
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = ''
      c257eba8e2cd34d9213ffc6f3c6a81ea9c313a62'';
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-22.11";
    rev = ''
      65c47ced082e3353113614f77b1bc18822dc731f'';
  };
}
